signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | List of all members
SignonDaemonNS::SignonIdentityAdaptor Class Reference

`#include <signonidentityadaptor.h>`

Inheritance diagram for SignonDaemonNS::SignonIdentityAdaptor:
[legend]
Collaboration diagram for SignonDaemonNS::SignonIdentityAdaptor:
[legend]

## Public Slots
quint32 | requestCredentialsUpdate (const QString &message)
QVariantMap | getInfo ()
void | addReference (const QString &reference)
void | removeReference (const QString &reference)
bool | verifyUser (const QVariantMap &params)
bool | verifySecret (const QString &secret)
void | remove ()
bool | signOut ()
quint32 | store (const QVariantMap &info)

## Signals
void | unregistered ()
void | infoUpdated (int)

## Detailed Description

Definition at line 36 of file signonidentityadaptor.h.

## Member Function Documentation

void SignonDaemonNS::SignonIdentityAdaptor::addReference | ( | const QString & | reference | ) |
| slot

Definition at line 93 of file signonidentityadaptor.cpp.

References SignonDaemonNS::SignonIdentity::addReference(), SignonDaemonNS::SignonIdentity::id(), and SignonDaemonNS::AccessControlManagerHelper::instance().

QVariantMap SignonDaemonNS::SignonIdentityAdaptor::getInfo | ( |  | ) |
| slot

Definition at line 79 of file signonidentityadaptor.cpp.

References SignonDaemonNS::SignonIdentity::getInfo(), SignonDaemonNS::SignonIdentity::id(), and SignonDaemonNS::AccessControlManagerHelper::instance().

void SignonDaemonNS::SignonIdentityAdaptor::infoUpdated | ( | int |  | ) |
| signal

void SignonDaemonNS::SignonIdentityAdaptor::remove | ( |  | ) |
| slot

Definition at line 158 of file signonidentityadaptor.cpp.

References SignonDaemonNS::AccessControlManagerHelper::ApplicationIsNotOwner, SignonDaemonNS::SignonIdentity::id(), SignonDaemonNS::AccessControlManagerHelper::IdentityDoesNotHaveOwner, SignonDaemonNS::AccessControlManagerHelper::instance(), SignonDaemonNS::AccessControlManagerHelper::isPeerKeychainWidget(), SignonDaemonNS::AccessControlManagerHelper::isPeerOwnerOfIdentity(), and SignonDaemonNS::SignonIdentity::remove().

void SignonDaemonNS::SignonIdentityAdaptor::removeReference | ( | const QString & | reference | ) |
| slot

Definition at line 111 of file signonidentityadaptor.cpp.

References SignonDaemonNS::SignonIdentity::id(), SignonDaemonNS::AccessControlManagerHelper::instance(), and SignonDaemonNS::SignonIdentity::removeReference().

quint32 SignonDaemonNS::SignonIdentityAdaptor::requestCredentialsUpdate | ( | const QString & | message | ) |
| slot

Definition at line 65 of file signonidentityadaptor.cpp.

References SignonDaemonNS::SignonIdentity::id(), SignonDaemonNS::AccessControlManagerHelper::instance(), and SignonDaemonNS::SignonIdentity::requestCredentialsUpdate().

bool SignonDaemonNS::SignonIdentityAdaptor::signOut | ( |  | ) |
| slot

Definition at line 181 of file signonidentityadaptor.cpp.

References SignonDaemonNS::SignonIdentity::id(), SignonDaemonNS::AccessControlManagerHelper::instance(), and SignonDaemonNS::SignonIdentity::signOut().

quint32 SignonDaemonNS::SignonIdentityAdaptor::store | ( | const QVariantMap & | info | ) |
| slot

Definition at line 195 of file signonidentityadaptor.cpp.

References SignonDaemonNS::AccessControlManagerHelper::ApplicationIsNotOwner, SignonDaemonNS::SignonIdentity::id(), SignonDaemonNS::AccessControlManagerHelper::IdentityDoesNotHaveOwner, SignonDaemonNS::AccessControlManagerHelper::instance(), SignonDaemonNS::AccessControlManagerHelper::isPeerKeychainWidget(), SignonDaemonNS::AccessControlManagerHelper::isPeerOwnerOfIdentity(), and SignonDaemonNS::SignonIdentity::store().

void SignonDaemonNS::SignonIdentityAdaptor::unregistered | ( |  | ) |
| signal

bool SignonDaemonNS::SignonIdentityAdaptor::verifySecret | ( | const QString & | secret | ) |
| slot

Definition at line 144 of file signonidentityadaptor.cpp.

References SignonDaemonNS::SignonIdentity::id(), SignonDaemonNS::AccessControlManagerHelper::instance(), and SignonDaemonNS::SignonIdentity::verifySecret().

bool SignonDaemonNS::SignonIdentityAdaptor::verifyUser | ( | const QVariantMap & | params | ) |
| slot

Definition at line 130 of file signonidentityadaptor.cpp.

References SignonDaemonNS::SignonIdentity::id(), SignonDaemonNS::AccessControlManagerHelper::instance(), and SignonDaemonNS::SignonIdentity::verifyUser().

The documentation for this class was generated from the following files:

- src/signond/signonidentityadaptor.h
- src/signond/signonidentityadaptor.cpp